Bug 256300 - Changing of "Activity type" in the "Dashboard settings" does not work
Summary: Changing of "Activity type" in the "Dashboard settings" does not work
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: dashboard (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-07 13:48 UTC by Vladimir Mityukov
Modified: 2011-08-02 11:31 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Mityukov 2010-11-07 13:48:37 UTC
Version:           unspecified (using Devel) 
OS:                Linux

I prefer to have more or less classic desktop normally, but I very like "Search and Run" and would like to fire it up on a keystroke.

I've tried to do that via Activities and got this bug.

Reproducible: Always

Steps to Reproduce:
(I may be wrong on some labels, since I'm using localized version of KDE)

1. Open Dashboard;

2. Right click -> Configure widget: Dashboard;

3. Open "Activity" screen; Select "Type: Search and Run";

4. Apply/Ok.

Actual Results:  

- Dashboard background becomes fully filled with grey; No "Search and Run" elements on it;

- After closing the dashboard, it can't be opened again (Ctrl+F12 stops working);

Note: restarting of plasma desktop makes dashboard working again, but it's Activity type is reset to default;

Expected Results:  
The dashboard should contain "Search and Run" elements (just like if I were choosing this type of activity for the normal desktop).

--or-- at least it should not allow choosing of not supported activity types int eh configuration (less desired, off cause).
Comment 1 FiNeX 2011-01-28 13:19:57 UTC
Hi Vladimir! Are you able to reproduce this bug using the new KDE 4.6? Thanks!
Comment 2 Todd 2011-02-16 20:57:54 UTC
I can reproduce this in 4.6.
Comment 3 Mike Vaughn 2011-05-13 00:50:09 UTC
Just chiming in to say this still occurs in KDE SC 4.6.3. Also, it's not specific to choosing the "Search and Run" layout; it happens whenever the dashboard is set to show an independent widget set and you make any changes in Desktop Dashboard Settings.
Comment 4 Todd 2011-07-31 07:30:23 UTC
This is still not working in KDE 4.7.  If the option isn't supported, it should probably be removed from the configuration.
Comment 5 Aaron J. Seigo 2011-08-02 11:31:34 UTC
Git commit 318029e65d87fd29612bc2368ae1f4353595ac61 by Aaron Seigo.
Committed on 02/08/2011 at 11:17.
Pushed by aseigo into branch 'KDE/4.7'.

prevent configuration from swapping out the containment from the DashboardView

BUG:256300
BUG:278815

M  +6    -5    plasma/desktop/shell/dashboardview.h
M  +26   -4    plasma/desktop/shell/plasmaapp.cpp

http://commits.kde.org/kde-workspace/318029e65d87fd29612bc2368ae1f4353595ac61
Comment 6 Aaron J. Seigo 2011-08-02 11:31:35 UTC
Git commit 881710d71343cd4cecb24071ac09776ba05332a9 by Aaron Seigo.
Committed on 02/08/2011 at 11:17.
Pushed by aseigo into branch 'master'.

prevent configuration from swapping out the containment from the DashboardView

BUG:256300
BUG:278815

M  +6    -5    plasma/desktop/shell/dashboardview.h
M  +26   -4    plasma/desktop/shell/plasmaapp.cpp

http://commits.kde.org/kde-workspace/881710d71343cd4cecb24071ac09776ba05332a9